package com.yyrh.constant;

import android.app.Activity;
import android.content.Context;

import com.yyrh.utils.Utils;
import com.yythird.sdk.ChannelSDK;

public class SDKSettings {
    public static String game_code;                // AndroidManifest.xml中配置的游戏id
    public static String gcp_code;
    public static String order_ext;

    public static String imei = "";                    // 手机串号
    public static String ifa_type = "0";
    public static String android_id;

    public static String version;                // 手机当前版本号

    public static String versionName;        // 版本号


    public static String sp_code;
    public static String device_model;
    public static String channelTag = "";
    public static String package_name = "";

    public static String isSimulator = "0";

    public static boolean isDebug = false;        // debug模式配置
    public static String system = "android";
    public static String SDK_VERSION = "2.2.8";

    public static String LOGINTAG = Constants.LOGIN;
    public static boolean isThirdLogin = true; //启用第3方登录
    public static boolean isThirdPay = true; //启用第3方登录
    public static String UserCentUrl = ""; //用户中心功能
    public static boolean isLandscape = true; //用户中心功能


    public static boolean isOpenRealName = false;

    public static boolean isOpenFloatView = false;

    public static boolean isVefityRealName = true;

    public static boolean isForceRealName = false;

    public static String o_cfg = "";

    public static LoginData loginData = null;

    public static InitConfig initConfig = null;

    public static void initSetting(Context context) {


        game_code = Utils.GetApplicationMetaData(context, "yyrh_game_code");
        order_ext = Utils.GetApplicationMetaData(context, "yyrh_order_ext");

        gcp_code = Utils.getParamCnfValuebyKey(context, "YyrhParam.cnf",
                "GCP_CODE");

        channelTag = Utils.getParamCnfValuebyKey(context, "YyrhParam.cnf",
                "CHANNELTAG");


        sp_code = Utils.GetApplicationMetaData(context, "yyrh_sp_code");


        version = Utils.getDeviceVersion();


        versionName = Utils.getVersionName(context);
        device_model = Utils.getDeviceModel();
        isLandscape = Utils.isLandscape((Activity) context);
        LOGINTAG = Constants.LOGIN;

        package_name = Utils.getPackageName((Activity) context);
        android_id = Utils.getAndroidId(context);
        o_cfg = ChannelSDK.getInstance().SDKGetPkgExt(context);
    }

}
